Bug 510539 - e4fsprogs: more corruption in libext2 extent handling
e4fsprogs: more corruption in libext2 extent handling
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: e4fsprogs (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 13:37 EDT by Eric Sandeen
Modified: 2009-09-03 10:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 06:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2009-07-09 13:37:48 EDT
This is another corruption, found late by the extensive resizing that livecd-creator was doing on Rawhide.

From my upstream patch submission:

http://marc.info/?l=linux-ext4&m=124699503718719&w=2

---
Commit 53422e8a5644e22ea3f6e0efba82a765b72e4308 moved
the new extent insertion in ext2fs_extent_set_bmap prior
to the modification of the original extent, but the
insert function left the handle pointing a the new
extent; this left us modifying the -new- extent not
the original one, and winding up with a corrupt extent
tree something like:

BLOCKS:
(0-1):588791-588792, (0):588791

We need to move back to the previous extent prior
to modification, if we inserted a new one.
---

This could be a problem during resize, or during fsck, and should probably be fixed as I don't think we can work around it.

Sorry for all the respins & exceptions these days, I guess ext4 has a few bugs left after all ....

(Note: e4fsprogs is still in tech preview)
Comment 3 Eric Sandeen 2009-07-14 18:09:38 EDT
Built & tagged in e4fsprogs-1.41.5-3
Comment 8 errata-xmlrpc 2009-09-02 06:03:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1413.html

Note You need to log in before you can comment on or make changes to this bug.